Perform system settings actions
curl --request POST \
--url https://my.propops.app/api/system/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"csrf_token": "abc123def456",
"user_ids": [
123
],
"user_id": 123,
"data": {}
}
'import requests
url = "https://my.propops.app/api/system/settings"
payload = {
"csrf_token": "abc123def456",
"user_ids": [123],
"user_id": 123,
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({csrf_token: 'abc123def456', user_ids: [123], user_id: 123, data: {}})
};
fetch('https://my.propops.app/api/system/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed successfully"
}{
"success": false,
"error": "Unauthorized. Valid Bearer token required."
}Configuration
Perform system settings actions
Perform user or system management actions:
bulk_action— Bulk user operationstoggle_status— Enable/disable a userupdate_user— Update user detailsdelete_user— Remove a userlogout_user— Force logout
Required permission: api.system.settings.manage
POST
/
api
/
system
/
settings
Perform system settings actions
Authorizations
All API requests must include a valid Bearer token in the Authorization header.
Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.
Example:
Authorization: Bearer a1b2c3d4e5f6...
Body
application/json
⌘I